/*! \file
 * \brief template definition of function CPU_InitTestArray
 * 
 * 
 */
#ifndef __INITARRAY_HPP__
#define __INITARRAY_HPP__

#include "InitArrayFunc.hpp"

/*! \brief Init array using _TestFunc_ function
 * 
 * 
 * \param h_X       pointer to host T array 
 * \param N         size of h_X
 * \param Const     T value
 * 
 * \tparam T      type `int`, `float` or `double`
 */
template <class T> void CPU_InitTestArray(T *h_X, int N, T Const)
{
  for(int i=0; i<N; i++)
    h_X[i] = TestFunc<T>(Const,i);
}

#endif
